Version Compatibility

Sep 9, 2009 at 2:32 PM

Hi,

I have a question about compatibility between NetSqlAzManStorage database version NetSqlAzMan.dll version.

Currently we are using v3.5.2.0 on both database and dll and have built some applications in this version. My question is if I just upgrade NetSqlAzManStorage database to v3.6.0.3 (or higher) without recompiling my applications (with NetSqlAzMan v3.5.2.0), are they still working? In another scenario, if I upgrade NetSqlAzMan.dll to v3.6.0.3 (or higher) and recompile my applications but keep NetSqlAzManStorage database version on v3.5.2.0, are my applications working?

I like keeping NetSqlAzMan version up to date but avoid to recompile existing production applications. What is the best practice for the NetSqlAzMan version upgrade?

Thank you,

Frank

Coordinator
Sep 9, 2009 at 2:42 PM

Hi,

NetSqlAzMan.dll 3.6.x.x is compatible with 3.6.x.x database only.

Starting from 3.6.x.x version all database objects are renamed … so you have to recompile your applications.

For future versions just update the NetSqlAzMan storage DB without recompiling.

Regards,

Andrea.

__________________________________
Andrea Ferendeles
NetSqlAzMan Project Coordinator  
E-mail aferende@hotmail.com Web http://netsqlazman.codeplex.com